org.apache.ignite.internal.visor.node

## Class VisorRestConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorRestConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorRestConfiguration
    extends VisorDataTransferObject

Create data transfer object for node REST configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorRestConfiguration()` Default constructor.
`VisorRestConfiguration(IgniteConfiguration c)` Create data transfer object for node REST configuration properties.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getIdleQueryCursorCheckFrequency()`
`long` `getIdleQueryCursorTimeout()`
`long` `getIdleTimeout()`
`String` `getJettyHost()`
`String` `getJettyPath()`
`Integer` `getJettyPort()`
`String` `getMessageInterceptor()`
`int` `getPortRange()`
`int` `getReceiveBufferSize()`
`String` `getSecretKey()`
`int` `getSelectorCount()`
`int` `getSendBufferSize()`
`int` `getSendQueueLimit()`
`String` `getSslFactory()`
`String` `getTcpHost()`
`int` `getTcpPort()`
`String` `getTcpSslContextFactory()`
`boolean` `isDirectBuffer()`
`boolean` `isNoDelay()`
`boolean` `isRestEnabled()`
`boolean` `isSslClientAuth()` Gets a flag indicating whether or not remote clients will be required to have a valid SSL certificate which validity will be verified with trust manager.
`boolean` `isTcpSslEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorRestConfiguration

    public VisorRestConfiguration()

Default constructor.

#### VisorRestConfiguration

    public VisorRestConfiguration(IgniteConfiguration c)

Create data transfer object for node REST configuration properties.

Parameters:
  `c` - Grid configuration.

### Method Detail

#### isRestEnabled

    public boolean isRestEnabled()

Returns:
  Whether REST enabled or not.

#### isTcpSslEnabled

    public boolean isTcpSslEnabled()

Returns:
  Whether or not SSL is enabled for TCP binary protocol.

#### getJettyPath

    @Nullable
    public String getJettyPath()

Returns:
  Jetty config path.

#### getJettyHost

    @Nullable
    public String getJettyHost()

Returns:
  Jetty host.

#### getJettyPort

    @Nullable
    public Integer getJettyPort()

Returns:
  Jetty port.

#### getTcpHost

    @Nullable
    public String getTcpHost()

Returns:
  REST TCP binary host.

#### getTcpPort

    public int getTcpPort()

Returns:
  REST TCP binary port.

#### getTcpSslContextFactory

    @Nullable
    public String getTcpSslContextFactory()

Returns:
  Context factory for SSL.

#### getSecretKey

    @Nullable
    public String getSecretKey()

Returns:
  Secret key.

#### isNoDelay

    public boolean isNoDelay()

Returns:
  Whether `TCP_NODELAY` option should be enabled.

#### isDirectBuffer

    public boolean isDirectBuffer()

Returns:
  Whether direct buffer should be used.

#### getSendBufferSize

    public int getSendBufferSize()

Returns:
  REST TCP server send buffer size (0 for default).

#### getReceiveBufferSize

    public int getReceiveBufferSize()

Returns:
  REST TCP server receive buffer size (0 for default).

#### getIdleQueryCursorTimeout

    public long getIdleQueryCursorTimeout()

Returns:
  Idle query cursors timeout in milliseconds

#### getIdleQueryCursorCheckFrequency

    public long getIdleQueryCursorCheckFrequency()

Returns:
  Idle query cursor check frequency in milliseconds.

#### getSendQueueLimit

    public int getSendQueueLimit()

Returns:
  REST TCP server send queue limit (0 for unlimited).

#### getSelectorCount

    public int getSelectorCount()

Returns:
  Number of selector threads for REST TCP server.

#### getIdleTimeout

    public long getIdleTimeout()

Returns:
  Idle timeout in milliseconds.

#### isSslClientAuth

    public boolean isSslClientAuth()

Gets a flag indicating whether or not remote clients will be required to have a valid SSL certificate which validity will be verified with trust manager.

Returns:
  Whether or not client authentication is required.

#### getSslFactory

    public String getSslFactory()

Returns:
  SslContextFactory instance.

#### getPortRange

    public int getPortRange()

Returns:
  Number of ports to try.

#### getMessageInterceptor

    @Nullable
    public String getMessageInterceptor()

Returns:
  Interceptor.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018